/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.pleiades.util.task.valueobject;

/**
 * 処理クラス [BlancoPleiadesUtilTranslationNotfound2XliffProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoPleiadesUtilTranslationNotfound2XliffProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [sourcefile]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力元となるPleiadesの translation-notfound.properties ファイル。
     */
    private String fSourcefile;

    /**
     * フィールド [xliffdir]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力先となるXLIFFディレクトリ。
     */
    private String fXliffdir;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcefile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力元となるPleiadesの translation-notfound.properties ファイル。
     *
     * @param argSourcefile フィールド[sourcefile]に格納したい値
     */
    public void setSourcefile(final String argSourcefile) {
        fSourcefile = argSourcefile;
    }

    /**
     * フィールド[sourcefile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力元となるPleiadesの translation-notfound.properties ファイル。
     *
     * @return フィールド[sourcefile]に格納されている値
     */
    public String getSourcefile() {
        return fSourcefile;
    }

    /**
     * フィールド [xliffdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力先となるXLIFFディレクトリ。
     *
     * @param argXliffdir フィールド[xliffdir]に格納したい値
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド[xliffdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力先となるXLIFFディレクトリ。
     *
     * @return フィールド[xliffdir]に格納されている値
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.pleiades.util.task.valueobject.BlancoPleiadesUtilTranslationNotfound2XliffProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcefile=" + fSourcefile);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append("]");
        return buf.toString();
    }
}
